<?php

namespace App\Http\Resources;

use App\User;
use App\Models\City;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */

    public function toArray($request)
    {
        $user = User::find($this->id);
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        return [
            'id' => $this->id,
            'name' => $this->name,
            'mobile' => $this->mobile,
            'email' => $this->email,
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'city_name' => $this->city_id ? $user->city->name[$lang] : '',
            'status' => $this->status,
            'type' => $this->type,
            'code' => $this->code ? (integer)$this->code : 0,
            'verification' => $this->verification,
            'whatsapp' => $this->whatsapp,
            'image' => $this->image ? asset('images/users/'.$this->image) : asset('images/users/default.jpg'),
            'image_cover' => $this->image_cover ? asset('images/users/'.$this->image_cover) : asset('images/users/default.jpg'),
            'address' => $this->address ? $this->address : '',
            'token' => $token,
        ];
    }
}
