<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Bank extends Model
{

    protected $table = 'banks';
    public $timestamps = true;
    protected $fillable = array('name', 'image', 'account_number', 'iban_number');
    protected $casts = ['name' => 'json'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/banks/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/banks/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

    public function transfers()
    {
        return $this->hasMany(Transfer::class, 'bank_id');
    }


}
