<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = 'categories';
    public $timestamps = true;
    protected $fillable = array('name', 'image', 'parent_id', 'type');
    protected $casts = ['name' => 'json'];

    public function products()
    {
        return $this->hasMany(Product::class, 'category_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/categories/';
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/categories/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

}
