@extends('admin.layout.master')
@section('title', "المنتجات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">{{$row->title}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">تفاصيل المنتج</h4>
                <table class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>كود المنتج</th>
                        <th>العنوان</th>
                        <th>صاحب الاعلان</th>
                        <th>التصنيف</th>
                        <th>المدينة</th>
                        <th>نوع الاعلان</th>
                        <th>حالة الاعلان</th>
                        <th>السعر</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td>{{$row->code}}</td>
                        <td>{{$row->title}}</td>
                        <td>{{$row->user->name}}</td>
                        <td>{{$row->category->name['ar']}}</td>
                        <td>{{$row->city->name['ar']}}</td>
                        <td>{{$row->type == 'car' ? 'سيارات' : 'عقارات'}}</td>
                        <td>{{$row->flag == 'rent' ? 'تأجير' : 'تمليك'}}</td>
                        <td>{{$row->price}}</td>
                    </tr>

                    </tbody>
                </table>
            </div>
        </div>

        @if($row->type == 'car')
            <div class="col-12">
                <div class="card-box">
                    @include('admin.layout.message')

                    <h4 class="header-title">تفاصيل السيارة</h4>
                    <table class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr>
                            <th>الوصف</th>
                            <th>سنة الصنع</th>
                            <th>اللون</th>
                            <th>الكيلومتر</th>
                            <th>نوع القير</th>
                            <th>عدد المقاعد</th>
                        </tr>
                        </thead>
                        <tbody>

                        <tr>
                            <td>{{$row->description}}</td>
                            <td>{{$row->year}}</td>
                            <td>{{$row->color}}</td>
                            <td>{{$row->km}}</td>
                            <td>{{$row->fetis}}</td>
                            <td>{{$row->number_seats}}</td>
                        </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        @else
            <div class="col-12">
                <div class="card-box">
                    @include('admin.layout.message')

                    <h4 class="header-title">تفاصيل العقار</h4>
                    <table class="table table-bordered dt-responsive nowrap"
                           style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr>
                            <th>تفاصيل</th>
                            <th>المساحة</th>
                            <th>العنوان</th>
                            <th>عدد الغرف</th>
                            <th>عدد الطوابق</th>
                        </tr>
                        </thead>
                        <tbody>

                        <tr>
                            <td>{{$row->description}}</td>
                            <td>{{$row->size}}</td>
                            <td>{{$row->address}}</td>
                            <td>{{$row->number_room}}</td>
                            <td>{{$row->number_floors}}</td>
                        </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        @endif


    </div> <!-- end row -->



@stop
